Bug 977986 - Segfault while cross compiling uboot sources
Segfault while cross compiling uboot sources
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: arm-none-eabi-gcc-cs (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Hlavinka
Fedora Extras Quality Assurance
:
Depends On: 913254
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-25 14:12 EDT by Pavel Zhukov
Modified: 2017-04-04 07:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:41:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Zhukov 2013-06-25 14:12:41 EDT
Description of problem:
Internal compiller  while uboot compilation

Version-Release number of selected component (if applicable):
arm-none-eabi-binutils-cs-2012.09.63-3.fc19.x86_64
gcc-arm-linux-gnu-4.7.2-2.aa.20121114svn.fc19.1.x86_64
arm-none-eabi-gcc-cs-2012.09.63-1.fc19.x86_64
binutils-arm-linux-gnu-2.23.51.0.3-1.fc19.x86_64



How reproducible:
100%

Steps to Reproduce:
1. make versatilepb_config ARCH=arm CROSS_COMPILE=arm-none-eabi-
2. make all ARCH=arm CROSS_COMPILE=arm-none-eabi-


Actual results:
arm-none-eabi-gcc  -g  -Os   -fno-common -ffixed-r8 -msoft-float  -D__KERNEL__ -DCONFIG_SYS_TEXT_BASE=0x10000 -I/home/pavel/arm/boot/u-boot-2013.04/include -fno-builtin -ffreestanding -nostdinc -isystem /usr/lib64/gcc/arm-none-eabi/4.7.2/include -pipe  -DCONFIG_ARM -D__ARM__ -marm -mno-thumb-interwork -mabi=aapcs-linux -march=armv5te -Wall -Wstrict-prototypes -fno-stack-protector -Wno-format-nonliteral -Wno-format-security -fstack-usage     -o display_options.o display_options.c -c
display_options.c: In function 'print_size':
display_options.c:84:1: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <https://bugzilla.redhat.com/> for instructions.
make[1]: *** [display_options.o] Error 1
make[1]: Leaving directory `/home/pavel/arm/boot/u-boot-2013.04/lib'
make: *** [lib/libgeneric.o] Error 2


Additional info:
]$ make all ARCH=arm CROSS_COMPILE=arm-none-eabi- | fpaste 2>&1 
display_options.c: In function 'print_size':
display_options.c:84:1: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <https://bugzilla.redhat.com/> for instructions.
make[1]: *** [display_options.o] Error 1
make: *** [lib/libgeneric.o] Error 2
Uploading (46.6KiB)...
http://ur1.ca/efup3 -> http://paste.fedoraproject.org/20809/18391213
Comment 1 Michal Hlavinka 2013-06-26 03:56:15 EDT
Thanks for reporting this. 
This is somehow expected. arm-none-eabi-gcc needs arm-none-eabi-newlib, but arm-none-eabi-newlib must be compiled with arm-none-eabi-gcc. To make this possible, -gcc is in bootstrap mode - it should be good enough to compile -newlib, but otherwise it's not expected to work.

The problem is that -newlib package review is stuck (bug #913254 comment #1), still waiting for legal review.

Until the above dependency is solved and -gcc package is rebuilt with all needed options, this will have to wait. Sorry.
Comment 2 Michal Hlavinka 2014-02-25 11:02:13 EST
we have updated arm-none-eabi-* packages. Does it still segfault?
Comment 4 Fedora End Of Life 2015-01-09 13:32:14 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 10:41:44 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.